Bug Hunting Session
Bug 67143 - UI Sidebar: Tabulator icon doesn't work in RTL paragraphs
Summary: UI Sidebar: Tabulator icon doesn't work in RTL paragraphs
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.1.0.4 release
Hardware: Other All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard: target:4.2.0
Keywords:
Depends on:
Blocks: RTL-CTL Sidebar-UI-UX
  Show dependency treegraph
 
Reported: 2013-07-21 19:18 UTC by Urmas
Modified: 2017-10-12 15:47 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Urmas 2013-07-21 19:18:31 UTC
When Sidebar is visible, and the current paragraph's direction is RTL, the tab icon in the top ruler cannot be clicked on with mouse.
Comment 1 Maxim Monastirsky 2013-07-31 09:45:24 UTC
I can confirm this bug. Verified on:
LO 4.1.0.4 on Windows 7 (64-bit)
LO 4.1.0.4 on Ubuntu 13.04 (64-bit)
LO 4.2.0.0.alpha0+ Build ID: 8b96cfd6caedbad7b3b79e57421a834f18c5c511
TinderBox: Win-x86@6-debug, Branch:master, Time: 2013-07-27_22:47:00
Comment 2 Maxim Monastirsky 2013-08-01 06:38:37 UTC
Changed version to oldest known
Comment 3 Maxim Monastirsky 2013-09-21 20:15:42 UTC
@Urmas: Hi,
If you click once on the tab icon, and then hover the mouse pointer on it, you'll see "Hide comments" tooltip. So I think it's related to Bug 69280 which was fixed recently. Especially note Bug 69280 comment 1. Also the trick from Bug 69280 comment 2 (zooming out) works also in your case.

So would be great if you could test that with latest master builds.
Comment 4 Urmas 2013-09-21 21:31:06 UTC
Indeed.